Page MenuHomePhabricator

Regression: Last modified bar code not running in async mode
Closed, ResolvedPublic

Description

It seems

mw.mobileFrontend.emit( 'history-link-loaded' )

is getting executed before the last modified code loads.
Thus the last modified bar doesn't get enhanced.

Bug is present on all wikis including English Wikipedia.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterQueue mobile head inline scripts with Resource Loader
mediawiki/extensions/MobileFrontend : masterInit last modified when the module is loaded

Event Timeline

Jdlrobson created this task.Aug 6 2015, 5:19 PM
Jdlrobson raised the priority of this task from to High.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 6 2015, 5:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson renamed this task from Last modified bar code not running in async mode to Regression: Last modified bar code not running in async mode.Aug 6 2015, 5:19 PM
Jdlrobson moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-53-12-Monkeys board.
Jdlrobson set Security to None.
Jhernandez raised the priority of this task from High to Unbreak Now!.Aug 6 2015, 5:25 PM
Jhernandez removed a project: Readers-Web-Backlog.
rmoen claimed this task.Aug 6 2015, 6:00 PM
rmoen moved this task from To Do to Doing on the Reading-Web-Sprint-53-12-Monkeys board.

Change 229859 had a related patch set uploaded (by Robmoen):
Init last modified when the module is loaded

https://gerrit.wikimedia.org/r/229859

Jdlrobson updated the task description. (Show Details)Aug 7 2015, 5:54 PM

Change 229859 abandoned by Robmoen:
Init last modified when the module is loaded

https://gerrit.wikimedia.org/r/229859

bmansurov added a subscriber: bmansurov.EditedAug 10 2015, 10:56 PM

The old patch has been abandoned. Do we have a link to the new one?
Edit: https://gerrit.wikimedia.org/r/#/c/230653/

I've commented on the original patch with why I figured we should revert this. The tldr is changing HTML can cause us lots of headaches, and we should make sure we're 100% right when we do it (I actually think at least 2 people should review an HTML change but not sure if that's actually feasible)

@Jhernandez it's worth noting that it seems having the last modified bar in 2 places is causing confusion and solving where it should live (T104697) might make fixing this a lot easier.

@Jdlrobson That one and its friends will be tackled next sprint or sprint 4, I've prioritized it higher to find it later.

rmoen removed rmoen as the assignee of this task.Aug 12 2015, 8:58 PM
rmoen moved this task from To Do to Doing on the Reading-Web-Sprint-53-12-Monkeys board.

Change 231188 had a related patch set uploaded (by Robmoen):
Queue mobile head inline scripts with Resource Loader

https://gerrit.wikimedia.org/r/231188

Change 231188 merged by jenkins-bot:
Queue mobile head inline scripts with Resource Loader

https://gerrit.wikimedia.org/r/231188

Jhernandez closed this task as Resolved.Aug 14 2015, 10:25 AM

Seems to work fine on beta cluster in beta and stable. Not sure how the broken state of it looked like since there's little info on the bug description. I'm considering it done.

@Jhernandez, the broken message looks something like this: "Last modified on 14 August 2015, at 15:12". You can currently see it on enwiki [1].

[1] https://en.m.wikipedia.org/w/index.php?title=Barack_Obama&mobileaction=toggle_view_mobile

Thanks @bmansurov. Confirmed :D